import { Modal, ModalService } from '@zeedhi/common';

export class ModalTask {
  private headerFooterModal!: Modal;

  public async openHeaderFooterModal() {
    this.headerFooterModal = await ModalService.createFromJson('/modal/modalTask', true);
    this.headerFooterModal.show();
  }

  public closeHeaderFooterModal() {
    this.headerFooterModal.hide();
    this.headerFooterModal!.destroy();
  }
}
